//package br.com.ages.mutiraodobemback;
//
//import br.com.ages.mutiraodobemback.domain.CauseEntity;
//import br.com.ages.mutiraodobemback.domain.UserEntity;
//import br.com.ages.mutiraodobemback.service.cause.ICauseService;
//import br.com.ages.mutiraodobemback.service.user.IUserService;
//import lombok.extern.slf4j.Slf4j;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.boot.CommandLineRunner;
//import org.springframework.context.annotation.Profile;
//import org.springframework.stereotype.Component;
//
//@Slf4j
//@Component
//@Profile("!unit-test")
//public class CommandLineAppStartupRunner implements CommandLineRunner {
//
//    private final IUserService userService;
//    private final ICauseService causeService;
//
//    @Autowired
//    public CommandLineAppStartupRunner(IUserService userService, ICauseService causeService) {
//        this.userService = userService;
//        this.causeService = causeService;
//    }
//
//    @Override
//    public void run(String... args) {
//        log.info("Começou a popular");
//        this.userService.save(UserEntity.builder()
//                .name("Andre")
//                .cpf("00099988877")
//                .email("teste@gmail.com")
//                .password("teste")
//                .role("USER")
//                .build());
//        this.causeService.save(CauseEntity.builder()
//                .title("Reforma Escola Primária")
//                .description("Ação entre os moradores do bairro Jardim Algarve para promover a reforma da escola primária.")
//                .build());
//        log.info("Terminou de popular");
//    }
//
//}
