package br.com.ages.mutiraodobemback.domain;

import lombok.*;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Document(collection = "addres")
public class AddresEntity {

    @Id
    private String id;
    @NonNull
    private String street;
    @NonNull
    private String latitude;
    @NonNull
    private String longitude;
}
