package br.com.ages.mutiraodobemback.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.lang.NonNull;

import java.time.LocalDateTime;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Document(collection = "task")
public class TaskEntity {

    @Id
    private String id;
    @NonNull
    private String title;
    @NonNull
    private String volunteer;
    @NonNull
    private String description;
    @NonNull
    private UserEntity userEntity;
    @NonNull
    private LocalDateTime dateInicial;
    @NonNull
    private LocalDateTime dateFinal;
}
