package br.com.ages.mutiraodobemback.controller;

import br.com.ages.mutiraodobemback.domain.UserEntity;
import br.com.ages.mutiraodobemback.dto.LoginDTO;
import br.com.ages.mutiraodobemback.dto.UserRequestDTO;
import br.com.ages.mutiraodobemback.dto.UserResponseDTO;
import br.com.ages.mutiraodobemback.service.user.IUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/users")
public class UserController {

    private final IUserService service;

    @Autowired
    public UserController(IUserService service) {
        this.service = service;
    }

    @PostMapping
    public UserResponseDTO save(@RequestBody UserRequestDTO user) {
        return this.service.save(user);
    }

    @GetMapping
    public List<UserResponseDTO> findAll() {
        return this.service.findAll();
    }

    @GetMapping("/logged-user")
    public UserEntity getLoggedUser() {
        return this.service.getLoggedUser();
    }

    @PostMapping("/login")
    private void login(@RequestBody LoginDTO user) {
    }

}
